<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="domain.core-service.management.access.authorization.server-group-scoped-role">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="base-role,server-groups"/>
        <elem name="addr-params" value="core-service,access,server-group-scoped-role"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="domain.core-service"/>
    </annotation>
    <refs>
        <ref feature="core-service.management.access.authorization"/>
        <ref feature="core-service.management"/>
    </refs>
    <params>
        <param name="base-role"/>
        <param name="host" default="GLN_UNDEFINED"/>
        <param name="server-groups" type="List&lt;String&gt;"/>
        <param name="access" feature-id="true" default="authorization"/>
        <param name="server-group-scoped-role" feature-id="true"/>
        <param name="core-service" feature-id="true" default="management"/>
    </params>
</feature-spec>